Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class PDFRenderContext

    java.lang.Object
      org.eclipse.birt.report.engine.api.PDFRenderContext

Deprecated. set the option to RenderOption directly.

    public class PDFRenderContext

extends java.lang.Object

Defines the context for rendering report in PDF emitter. Objects stored in the context object is mainly used for font, image, action handling, but can be used for other purposes too.

Field Summary
`protected java.lang.String` | `baseURL` Deprecated. base URL used for action handler
`protected java.lang.String` | `fontDirectory` Deprecated. user-defined font directory
`protected boolean` | `isEmbededFont` Deprecated.
`protected java.lang.String` | `supportedImageFormats` Deprecated. the image formats supported by the browser

Constructor Summary
`PDFRenderContext()` Deprecated. dummy constructor

Method Summary
`java.lang.String` | `getBaseURL()` Deprecated. Returns the base URL for creating an Action URL
`java.lang.String` | `getFontDirectory()` Deprecated.
`java.lang.String` | `getSupportedImageFormats()` Deprecated.
`boolean` | `isEmbededFont()` Deprecated.
`void` | `setBaseURL(java.lang.String baseURL)` Deprecated. sets the base URL for action handling
`void` | `setEmbededFont(boolean isEmbededFont)` Deprecated. Set flag indicates if the font needs to be embedded.
`void` | `setFontDirectory(java.lang.String fontDirectory)` Deprecated.
`void` | `setSupportedImageFormats(java.lang.String formats)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseURL

    protected java.lang.String baseURL

  Deprecated.
  base URL used for action handler

### isEmbededFont

    protected boolean isEmbededFont

  Deprecated.

### supportedImageFormats

    protected java.lang.String supportedImageFormats

  Deprecated.
  the image formats supported by the browser

### fontDirectory

    protected java.lang.String fontDirectory

  Deprecated.
  user-defined font directory

Constructor Detail

### PDFRenderContext

    public PDFRenderContext()

  Deprecated.
  dummy constructor

Method Detail

### getBaseURL

    public java.lang.String getBaseURL()

  Deprecated.
  Returns the base URL for creating an Action URL

  Returns:
    the baseURL.

### setBaseURL

    public void setBaseURL(java.lang.String baseURL)

  Deprecated.
  sets the base URL for action handling

  Parameters:
    `baseURL` - sets the base URL used for action handling

### setSupportedImageFormats

    public void setSupportedImageFormats(java.lang.String formats)

  Deprecated.
  Parameters:
    `formats` - - the image format supported by the browser

### getSupportedImageFormats

    public java.lang.String getSupportedImageFormats()

  Deprecated.
  Returns:
    the image format supported by the browser

### setEmbededFont

    public void setEmbededFont(boolean isEmbededFont)

  Deprecated.
  Set flag indicates if the font needs to be embedded.

  Parameters:
    `isEmbededFont` -

### isEmbededFont

    public boolean isEmbededFont()

  Deprecated.
  Returns:
    true if font is embedded

### getFontDirectory

    public java.lang.String getFontDirectory()

  Deprecated.
  Returns:
    the user-defined font directory

### setFontDirectory

    public void setFontDirectory(java.lang.String fontDirectory)

  Deprecated.
  Parameters:
    `fontDirectory` - the user-defined font directory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.